For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cashier

Get list of cashier products

get
/cashier/products
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Query parameters
typestring · enumOptionalExample: PLANPossible values:
includeInvisiblebooleanOptionalExample: true
relatedPriceIdintegerOptional
organizationIdintegerOptional
Responses
200

Successful response

application/json
productsobject[]Optional
get/cashier/products
GET /api/v2/cashier/products HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "products": [
    {
      "id": 1,
      "name": {
        "cs": "Free",
        "en": "Free"
      },
      "description": {
        "cs": "Pro kohokoliv, kdo se chce naučit základy automatizace",
        "en": "For anyone to learn the basics."
      },
      "descriptionHover": {
        "cs": "",
        "en": ""
      },
      "additionalInfo": {
        "cs": [
          "Tvůrce pracovních procesů bez kódování",
          "1000+ standard apps",
          "Neomezený počet uživatelů",
          "2 aktivní scénáře",
          "Doba běhu scénářů - 5 minut",
          "Velikost souborů - 5 MB",
          "Min. interval mezi naplánovanými spuštěními scénářů - 15 minut",
          "Monitorování spuštění v reálném čase",
          "Vlastní aplikace"
        ],
        "en": [
          "No-code workflow builder",
          "1000+ standard apps",
          "Unlimited users",
          "2 active scenarios",
          "5min scenario execution time",
          "5 MB file size",
          "15min interval between scheduled scenario executions",
          "Real-time execution monitoring",
          "Custom apps"
        ]
      },
      "priority": 1,
      "visible": true,
      "config": {
        "teams": 1,
        "fslimit": 5242880,
        "apiLimit": 0,
        "fulltext": false,
        "interval": 15,
        "priority": "low",
        "retention": 7,
        "scenarios": 2,
        "gracePeriod": 0,
        "executionTime": 5,
        "creatingTemplates": false,
        "installPublicApps": true,
        "productManagement": "selfService"
      },
      "type": "PLAN",
      "comparisonId": 1,
      "prices": [
        {
          "id": 1,
          "price": 0,
          "config": {
            "dslimit": 1,
            "iolimit": 50,
            "dsslimit": 1048576,
            "transfer": 536870912,
            "dlqStorage": 1048576,
            "operations": 1000,
            "restartPeriod": "1 month"
          },
          "period": "month",
          "default": true,
          "visible": true,
          "priority": 1,
          "currencyCode": "USD"
        }
      ]
    }
  ]
}

Get price detail

get
/cashier/prices/{priceId}
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
priceIdnumberRequiredExample: 10
Responses
200

Successful response

application/json
idnumberOptional
productIdnumberOptional
pricenumberOptional
currencyCodestringOptional
periodstringOptional
prioritynumberOptional
visiblebooleanOptional
defaultbooleanOptional
get/cashier/prices/{priceId}
GET /api/v2/cashier/prices/{priceId} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "id": 10,
  "productId": 4,
  "price": "86.00",
  "currencyCode": "USD",
  "period": "month",
  "priority": 5,
  "visible": true,
  "default": false,
  "config": {
    "dslimit": 12,
    "iolimit": 2668,
    "dsslimit": 41943040,
    "transfer": 21474836480,
    "dlqStorage": 41943040,
    "operations": 40000,
    "restartPeriod": "1 month"
  }
}

Get VAT ID format patterns

get
/cashier/vat-validation/patterns

Proxies imt-cashier's VAT-ID format patterns (EU + Northern Ireland). Each entry is keyed by ISO 3166-1 alpha-2 country code (Northern Ireland is keyed under GB, Greece under GR) and contains: prefix — the VAT-ID prefix used in the full ID (equals the ISO code except GBXI and GREL); regex — an anchored (^…$) regex matching the full VAT ID including the optional prefix, safe to use directly via new RegExp(regex); description — a human-readable format hint; and example — an example VAT ID suitable as a placeholder. Intended for client-side VAT ID format validation.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Responses
200

Successful response

application/json
get/cashier/vat-validation/patterns
GET /api/v2/cashier/vat-validation/patterns HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "patterns": {
    "AT": {
      "prefix": "AT",
      "regex": "^(?:AT)?U\\d{8}$",
      "description": "ATU + 8 digits (e.g. ATU12345678)",
      "example": "ATU12345678"
    },
    "DE": {
      "prefix": "DE",
      "regex": "^(?:DE)?[1-9]\\d{8}$",
      "description": "DE + 9 digits (e.g. DE123456789)",
      "example": "DE123456789"
    },
    "GB": {
      "prefix": "XI",
      "regex": "^(?:GB|XI)?(?:\\d{9}|\\d{12}|GD\\d{3}|HA\\d{3})$",
      "description": "XI (Northern Ireland) or GB + 9 or 12 digits, or GD/HA + 3 digits (e.g. XI123456789)",
      "example": "XI123456789"
    }
  }
}

Last updated